<?php

namespace App\Controllers;

use CodeIgniter\API\ResponseTrait;

class Users extends BaseController
{

    use ResponseTrait;

    var $request;

    function __construct()
    {
        $this->request = \Config\Services::request();
    }

    public function userDash(){

        $data = [
            'firstname' => 'Olarewaju',
            'lastname' => 'Jackson',
            'loan_status' => '0',
        ];

        return $this->respond($data, 200);
    }

    public function userProfile(){
        $in =  $this->request->getGet();
        $data = [];
        if ($in['uid'] !=''){
            $query = $this->db->query("SELECT * FROM customers WHERE uid = '".$in['uid']."' ");
            $row   = $query->getRowArray();
            $data = [
                'call_return' => '100',
                'customer' =>  $row
            ];
            return $this->respond($data, 200);
        }


    }

}